import { Meteor } from 'meteor/meteor';
import { check } from 'meteor/check';

import { Rooms, Messages } from '../../../models';
import { hasPermission } from '../../../authorization';

Meteor.methods({
	'livechat:getFirstRoomMessage'({ rid }) {
		if (!Meteor.userId() || !hasPermission(Meteor.userId(), 'view-l-room')) {
			throw new Meteor.Error('error-not-allowed', 'Not allowed', { method: 'livechat:getFirstRoomMessage' });
		}

		check(rid, String);

		const room = Rooms.findOneById(rid);

		if (!room || room.t !== 'l') {
			throw new Meteor.Error('error-invalid-room', 'Invalid room');
		}

		return Messages.findOne({ rid }, { sort: { ts: 1 } });
	},
});
