/* eslint no-unused-vars: 0 */

language_names = {
	af: ['Afrikaans', 'Afrikaans'],
	ak: ['Akan', 'Akan'],
	sq: ['Albanian', 'Shqip'],
	am: ['Amharic', 'አማርኛ'],
	ar: ['Arabic', 'العربية'],
	hy: ['Armenian', 'Հայերեն'],
	rup: ['Aromanian', 'Armãneashce'],
	as: ['Assamese', 'অসমীয়া'],
	az: ['Azerbaijani', 'Azərbaycan dili'],
	'az-TR': ['Azerbaijani (Turkey)', 'Azərbaycan Türkcəsi'],
	ba: ['Bashkir', 'башҡорт теле'],
	eu: ['Basque', 'Euskara'],
	'be-BY': ['Belarusian', 'Беларуская мова'],
	bn: ['Bengali', 'বাংলা'],
	bs: ['Bosnian', 'Bosanski'],
	bg: ['Bulgarian', 'Български'],
	mya: ['Burmese', 'ဗမာစာ'],
	ca: ['Catalan', 'Català'],
	bal: ['Catalan (Balear)', 'Català (Balear)'],
	zh: ['Chinese', '中文'],
	'zh-CN': ['Chinese (China)', '简体中文'],
	'zh-HK': ['Chinese (Hong Kong)', '繁體中文（香港）'],
	'zh-TW': ['Chinese (Taiwan)', '繁體中文（台灣）'],
	co: ['Corsican', 'corsu'],
	hr: ['Croatian', 'Hrvatski'],
	cs: ['Czech', 'čeština‎'],
	da: ['Danish', 'Dansk'],
	nl: ['Dutch', 'Nederlands'],
	'nl-BE': ['Dutch (Belgium)', 'Nederlands (België)'],
	en: ['English', 'English'],
	'en-AU': ['English (Australia)', 'English (Australia)'],
	'en-CA': ['English (Canada)', 'English (Canada)'],
	'en-GB': ['English (UK)', 'English (UK)'],
	eo: ['Esperanto', 'Esperanto'],
	et: ['Estonian', 'Eesti'],
	fo: ['Faroese', 'føroyskt'],
	fi: ['Finnish', 'Suomi'],
	'fr-BE': ['French (Belgium)', 'Français de Belgique'],
	fr: ['French (France)', 'Français'],
	fy: ['Frisian', 'Frysk'],
	fuc: ['Fulah', 'Pulaar'],
	gl: ['Galician', 'Galego'],
	ka: ['Georgian', 'ქართული'],
	de: ['German', 'Deutsch'],
	'de-AT': ['German (Austria)', 'Östereichisches Deutsch'],
	'de-IN': ['German (informal)', 'Deutsch (informell)'],
	el: ['Greek', 'Ελληνικά'],
	gn: ['Guaraní', 'Avañe\'ẽ'],
	haw: ['Hawaiian', 'Ōlelo Hawaiʻi'],
	haz: ['Hazaragi', 'هزاره گی'],
	he: ['Hebrew', 'עברית'],
	hi: ['Hindi', 'हिन्दी'],
	hu: ['Hungarian', 'Magyar'],
	is: ['Icelandic', 'Íslenska'],
	id: ['Indonesian', 'Bahasa Indonesia'],
	ga: ['Irish', 'Gaelige'],
	it: ['Italian', 'Italiano'],
	ja: ['Japanese', '日本語'],
	jv: ['Javanese', 'Basa Jawa'],
	kn: ['Kannada', 'ಕನ್ನಡ'],
	kk: ['Kazakh', 'Қазақ тілі'],
	km: ['Khmer', 'ភាសាខ្មែរ'],
	rw: ['Kinyarwanda', 'Kinyarwanda'],
	ky: ['Kirghiz', 'кыргыз тили'],
	ko: ['Korean', '한국어'],
	ku: ['Kurdish (Sorani)', 'كوردی‎'],
	lo: ['Lao', 'ພາສາລາວ'],
	lv: ['Latvian', 'latviešu valoda'],
	li: ['Limburgish', 'Limburgs'],
	lt: ['Lithuanian', 'Lietuvių kalba'],
	lb: ['Luxembourgish', 'Lëtzebuergesch'],
	mk: ['Macedonian', 'македонски јазик'],
	mg: ['Malagasy', 'Malagasy'],
	'ms-MY': ['Malay', 'Bahasa Melayu'],
	ml: ['Malayalam', 'മലയാളം'],
	mr: ['Marathi', 'मराठी'],
	xmf: ['Mingrelian', 'მარგალური ნინა'],
	mn: ['Mongolian', 'Монгол'],
	me: ['Montenegrin', 'Crnogorski jezik'],
	ne: ['Nepali', 'नेपाली'],
	no: ['Norwegian', 'Norsk'],
	os: ['Ossetic', 'Ирон'],
	ps: ['Pashto', 'پښتو'],
	fa: ['Persian', 'فارسی'],
	'fa-AF': ['Persian (Afghanistan)', 'فارسی (افغانستان'],
	pl: ['Polish', 'Polski'],
	'pt-BR': ['Portuguese (Brazil)', 'Português do Brasil'],
	pt: ['Portuguese (Portugal)', 'Português'],
	pa: ['Punjabi', 'ਪੰਜਾਬੀ'],
	rhg: ['Rohingya', 'Rohingya'],
	ro: ['Romanian', 'Română'],
	ru: ['Russian', 'Русский'],
	rue: ['Rusyn', 'Русиньскый'],
	sah: ['Sakha', 'Sakha'],
	'sa-IN': ['Sanskrit', 'भारतम्'],
	srd: ['Sardinian', 'sardu'],
	gd: ['Scottish Gaelic', 'Gàidhlig'],
	sr: ['Serbian', 'Српски језик'],
	sd: ['Sindhi', 'سندھ'],
	si: ['Sinhala', 'සිංහල'],
	'sk-SK': ['Slovak', 'Slovenčina'],
	'sl-SI': ['Slovenian', 'slovenščina'],
	so: ['Somali', 'Afsoomaali'],
	azb: ['South Azerbaijani', 'گؤنئی آذربایجان'],
	'es-AR': ['Spanish (Argentina)', 'Español de Argentina'],
	'es-CL': ['Spanish (Chile)', 'Español de Chile'],
	'es-CO': ['Spanish (Colombia)', 'Español de Colombia'],
	'es-MX': ['Spanish (Mexico)', 'Español de México'],
	'es-PE': ['Spanish (Peru)', 'Español de Perú'],
	'es-PR': ['Spanish (Puerto Rico)', 'Español de Puerto Rico'],
	es: ['Spanish (Spain)', 'Español'],
	'es-VE': ['Spanish (Venezuela)', 'Español de Venezuela'],
	su: ['Sundanese', 'Basa Sunda'],
	sw: ['Swahili', 'Kiswahili'],
	sv: ['Swedish', 'Svenska'],
	gsw: ['Swiss German', 'Schwyzerdütsch'],
	tl: ['Tagalog', 'Tagalog'],
	tg: ['Tajik', 'тоҷикӣ'],
	'ta-IN': ['Tamil', 'தமிழ்'],
	'ta-LK': ['Tamil (Sri Lanka)', 'தமிழ்'],
	tt: ['Tatar', 'Татар теле'],
	te: ['Telugu', 'తెలుగు'],
	'th-TH': ['Thai', 'ไทย'],
	bo: ['Tibetan', 'བོད་སྐད'],
	tir: ['Tigrinya', 'ትግርኛ'],
	tr: ['Turkish', 'Türkçe'],
	tuk: ['Turkmen', 'Türkmençe'],
	ua: ['Ukrainian', 'Українська'],
	ug: ['Uighur', 'Uyƣurqə'],
	uk: ['Ukrainian', 'Українська'],
	ur: ['Urdu', 'اردو'],
	uz: ['Uzbek', 'O‘zbekcha'],
	'vi-VN': ['Vietnamese', 'Tiếng Việt'],
	wa: ['Walloon', 'Walon'],
	cy: ['Welsh', 'Cymraeg'],
};
